Subject: bug#18327: 24.4.50; [PATCH] vector QPattern for pcase

From: Stefan Monnier <[email-masked]>
Date: Thu, 04 Sep 2014 12:21:59 -0400

> The attached patch (inspired by your byte-code-function qpattern patch)
> seems to add vector QPattern to pcase. Could you review it and give me
> any comments? Thanks.

Please double-check that it doesn't break bootstrap (CL uses pcase as
well, and I have some vague recollection of bumping into problems in
this area, which is why pcase doesn't use CL).

Also the patch needs to update pcase's docstring (based on my
understanding of your code, you only handle qpatterns of the form
[QPAT1..QPATn], right?).

        Stefan